package rcrt

import (
	"hongze/hrms_api/global"
	"hongze/hrms_api/models/base"
)

// Description 标准化说明
type Description struct {
	Id       int    `gorm:"primaryKey;column:id" json:"id"`    //序号
	AdminId  uint64 `gorm:"column:admin_id" json:"admin_id"`   //管理员账号ID
	RealName string `gorm:"column:real_name" json:"real_name"` //管理员姓名
	Content  string `gorm:"column:content" json:"content"`     //说明内容
	base.TimeBase
}

// TableName get sql table name.获取数据库表名
func (d *Description) TableName() string {
	return "rcrt_description"
}

type DescriptionAddReq struct {
	Content     string `json:"content"`     //说明内容
}

// Add 新增
func (d *Description) Add() (err error) {
	err = global.DEFAULT_MYSQL.Create(d).Error
	return
}

type DescriptionLatestResp struct {
	AdminId    uint64 `json:"admin_id"`    //管理员账号ID
	RealName   string `json:"real_name"`   //管理员姓名
	Content    string `json:"content"`     //说明内容
	ModifyTime string `json:"modify_time"` //最后更新时间
}

// GetLatest 获取最新的标准化说明
func (d *Description) GetLatest() (item *Description, err error)  {
	err = global.DEFAULT_MYSQL.Model(d).Order("id desc").First(&item).Error
	return
}
