package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hrms_api/controller/rcrt"
	"hongze/hrms_api/middleware"
)

func InitRcrt(group *gin.RouterGroup) {
	//简历
	cvController := new(rcrt.CvController)
	cvGroup := group.Group("cv/").Use(middleware.Token())
	cvGroup.GET("list", cvController.List)
	cvGroup.PUT("result/set", cvController.SetResult)
	cvGroup.DELETE("delete", cvController.Delete)

	outCvController := new(rcrt.OutCvController)
	cvGroup.GET("out/list", outCvController.List)
	cvGroup.DELETE("out/delete", outCvController.Delete)
	cvGroup.GET("out/admins", outCvController.AdminList)
	cvGroup.PUT("out/reset", outCvController.Reset)

	//招聘流程
	processController := new(rcrt.ProcessController)
	processGroup := group.Group("process/").Use(middleware.Token())
	processGroup.GET("list", processController.List)
	processGroup.GET("pass/list", processController.PassList)
	processGroup.GET("pass/admins", processController.PassAdminList)
	processGroup.PUT("result/set", processController.SetResult)
	processGroup.PUT("first/set", processController.SetFirstRecommend)
	processGroup.PUT("second/set", processController.SetSecondRecommend)
	processGroup.PUT("cancel", processController.Cancel)
	processGroup.DELETE("delete", processController.Delete)
	processGroup.PUT("reset", processController.Reset)

	//hr邮箱管理
	hrEmailController := new(rcrt.HrEmailController)
	hrEmailGroup := group.Group("hr_email/").Use(middleware.Token())
	hrEmailGroup.POST("add", hrEmailController.Add)
	hrEmailGroup.GET("list", hrEmailController.List)
	hrEmailGroup.DELETE("delete", hrEmailController.Delete)
	hrEmailGroup.PUT("edit", hrEmailController.Edit)

	//标准化说明
	deController := new(rcrt.DescriptionController)
	deGroup := group.Group("description/").Use(middleware.Token())
	deGroup.POST("add", deController.Add)
	deGroup.GET("last", deController.GetLatest)
}
